=== packages/sgml/doc/Makefile ===
################################################################
# Makefile for the documentation of sgml2pl
#
# Author:    Jan Wielemaker
# Created:   Wed Jul 19 2000
# Copyright: GPL
################################################################

LATEX=latex
PDFLATEX=pdflatex
MAKEINDEX=makeindex
DOC=sgml2pl

all:		html pdf

html:		$(DOC).html
pdf:		$(DOC).pdf
ps:		$(DOC).ps

$(DOC).tex:	$(DOC).sgml
		./doc2tex $<

$(DOC).pdf:	$(DOC).tex
		$(PDFLATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(PDFLATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(PDFLATEX) $(DOC)

$(DOC).ps:	$(DOC).tex
		$(LATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(LATEX) $(DOC)
		$(MAKEINDEX) $(DOC)
		$(LATEX) $(DOC)
		dvips -o $@ $(DOC)

$(DOC).html:	$(DOC).sgml doc2html.pl
		./doc2html $<

clean:		
		rm -f *~ a.out core
		rm -f $(DOC).aux $(DOC).tex $(DOC).ilg $(DOC).log
		rm -f $(DOC).idx $(DOC).ind $(DOC).toc

distclean:	clean
		rm -f $(DOC).pdf $(DOC).ps $(DOC.html)
