## swi-prolog 5.6.14

=== man/Makefile ===
--- 
+++ 
@@ -32,16 +32,20 @@
 ONLINE=		../library/MANUAL
 ONLINE_INDEX=	../library/helpidx.pl
 
-WWWMAN=		/export/home/www/docs/projects/SWI-Prolog/Manual
-FTPDIR=		/export/home/ftp/docs/SWI-Prolog
+WWWMAN=		~www/SWI-Prolog/Manual
+FTPDIR=		~ftp/SWI-Prolog
+BETAMAN=	~www/SWI-Prolog/BETA/Manual
 
 LIBFILES=	lib/library.tex lib/readutil.tex lib/netscape.tex \
 		lib/registry.tex lib/check.tex lib/url.tex lib/debug.tex \
-		lib/lists.tex
+		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
+		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
+		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
+		lib/ugraphs.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
-		profile.tex
+		profile.tex attvar.tex chr.tex xref.tex
 STYFILES=	html.sty txt.sty
 
 .SUFFIXES:
@@ -157,8 +161,14 @@
 install::
 		rm -rf $(WWWMAN)
 		cp -a Manual $(WWWMAN)
-		tar zcvf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
-		cp -a $(PDF) $(FTPDIR)/refman/refman.pdf
+		tar zcf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
+		install -m 644 $(PDF) $(FTPDIR)/refman/refman.pdf
+
+beta-install::
+		rm -rf $(BETAMAN)
+		cp -a Manual $(BETAMAN)
+		install -m 644 MANUAL.pdf $(FTPDIR)/BETA/Manual.pdf
+		tar zcf $(FTPDIR)/BETA/Manual.html.tgz Manual
 
 ################################################################
 # Windows readme
@@ -169,4 +179,13 @@
 windows.html:	windows.tex
 		latex2html windows
 
+################################################################
+# MacOsX readme
+################################################################
+
+macosx.pdf:	macosx.tex
+		./runtex --pdf macosx
+macosx.html:	macosx.tex
+		latex2html macosx
+
 # EOF #
