## swi-prolog 5.6.47

=== man/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Building the various versions of the documentation requires
 # a lot of software to be at the right place.  Generally, please
 # pick the required version from the SWI-Prolog home page at
-# http://www.swi.psy.uva.nl/projects/SWI-Prolog/
+# http://www.swi-prolog.org/
 #
 # If you insist building it yourself, at least check the following
 #
@@ -15,10 +15,13 @@
 #		- pdflatex
 #		- latex2html from the html subdirectory of Prolog
 #		- gcc (for ccp as well as building modified dvi2tty)
-#
-################################################################
-
-PL=		../linux/pl
+#	* The PlDoc generated manuals need to installed system as
+#	  $(PUBLICPL)
+#
+################################################################
+
+PUBLICPL=	pl
+PL=		../linux/$(PUBLICPL)
 
 CP=		ln -fs
 CCCP=		gcc -E -C -P
@@ -41,11 +44,14 @@
 		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
 		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
 		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
-		lib/ugraphs.tex
+		lib/ugraphs.tex lib/ordsets.tex lib/broadcast.tex \
+		lib/record.tex lib/clpfd.tex lib/pairs.tex lib/option.tex \
+		lib/apply.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
-		profile.tex attvar.tex chr.tex xref.tex
+		profile.tex attvar.tex chr.tex xref.tex bit64.tex \
+		dialect.tex
 STYFILES=	html.sty txt.sty
 
 .SUFFIXES:
@@ -83,8 +89,9 @@
 		dvips $< -o $@
 
 html:		$(TEXFILES) $(STYFILES) doc.bbl
-		rm -rf Manual
+		rm -rf Manual.tmp
 		env TEXINPUTS=lib:$$TEXINPUTS latex2html doc
+		./update-man Manual.tmp Manual
 
 pdf:		$(PDF)
 
@@ -104,7 +111,7 @@
 
 distclean:	clean
 		rm -f $(MANUAL) $(DVITOTTY)
-		rm -rf Manual
+		rm -rf Manual.tmp
 		make -C$(DVITOTTY-HOME) distclean
 
 $(PDF):		doc.tex $(TEXFILES) doc.bbl
@@ -163,6 +170,7 @@
 		cp -a Manual $(WWWMAN)
 		tar zcf $(FTPDIR)/refman/HTMLmanual.tar.gz Manual
 		install -m 644 $(PDF) $(FTPDIR)/refman/refman.pdf
+		rsync -aCv --delete Manual liduop:/home/web/hcs/projects/SWI-Prolog
 
 beta-install::
 		rm -rf $(BETAMAN)
@@ -171,6 +179,24 @@
 		tar zcf $(FTPDIR)/BETA/Manual.html.tgz Manual
 
 ################################################################
+# PlDoc generated manual files
+################################################################
+
+LIBTOTEX=$(PUBLICPL) -q -s libtotex.pl -g libtotex --
+
+lib/apply.tex:	../library/apply.pl
+		$(LIBTOTEX) 'library(apply)'
+lib/clpfd.tex:	../library/clp/clpfd.pl
+		$(LIBTOTEX) 'library(clpfd)'
+lib/url.tex:	../library/url.pl
+		$(LIBTOTEX) 'library(url)'
+lib/pairs.tex:	../library/pairs.pl
+		$(LIBTOTEX) 'library(pairs)'
+lib/option.tex:	../library/option.pl
+		$(LIBTOTEX) 'library(option)'
+
+
+################################################################
 # Windows readme
 ################################################################
 
@@ -183,9 +209,11 @@
 # MacOsX readme
 ################################################################
 
-macosx.pdf:	macosx.tex
-		./runtex --pdf macosx
-macosx.html:	macosx.tex
-		latex2html macosx
+macosx::	macosx/macosx.pdf macosx/macosx.html
+
+macosx/macosx.pdf:	macosx/macosx.tex
+		./runtex --pdf macosx/macosx
+macosx/macosx.html:	macosx/macosx.tex
+		(cd macosx && latex2html macosx)
 
 # EOF #
