## swi-prolog 5.6.50-0maemo3+0m5

=== debian/changelog ===
swi-prolog (5.6.50-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kovacs Janos <janos.f.kovacs@nokia.com>  Fri, 31 Jul 2009 00:39:12 +0300

swi-prolog (5.6.50-0maemo3) unstable; urgency=low

  * Disabled curses support by default (Fixes NB#129704).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 23 Jul 2009 19:43:28 +0300

swi-prolog (5.6.50-0maemo2) unstable; urgency=low

  * Separated prolog predicate library and boot code to subpackages.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Fri, 22 May 2009 18:44:18 +0300

swi-prolog (5.6.50-0maemo1) unstable; urgency=low

  * Packaging fixes from Remi Denis-Courmont (subpackages, dependency fixes.).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 26 Jan 2009 13:47:18 +0200

swi-prolog (5.6.50-0maemo0) unstable; urgency=low

  * Disabled everything (packages/*) we do not need (more to come).
  * Enabled compiling to a shared library/object.
  * Created dev subpackage, separated manuals to manual subpackage.
  * Few hacks to get successfully built under scratchbox (armel).
  * Fixes: NB#97738.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 12 Jan 2009 02:43:49 +0000

swi-prolog (5.6.50) unstable; urgency=low

  * New upstream release.
  * Make '/usr/bin/swipl' a symlink again. This was a regression introduced
    by my fix to #456261 which was preventing scripts to use a shebang line
    pointing to swipl. Passing the environment variable PL to configure sets
    the target binary name in a far more less brittle manner. (Closes: #462646)
  * Remove deprecated swiprolog binary and associated manpage. This name was
    deprecated in 2001 and does not support scripting.
  * Add missing ${shlibs:Depends} to swi-prolog-http.
  * Cleanup debian/rules.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 11 Feb 2008 09:45:02 +0000

swi-prolog (5.6.49-2) unstable; urgency=low

  * Use DEB_BUILD_ARCH instead of DEB_BUILD_GNU_TYPE for determining when
    we are building on ARM.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 25 Jan 2008 22:06:56 +0000

swi-prolog (5.6.49-1) unstable; urgency=low

  * New upstream release.
  * Disable GCC optimisations on ARM in an attempt to diagnose FTBFS.
  * Fix bug in "swipl" wrapper which discarding arguments. (Closes: #462368)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Jan 2008 16:34:25 +0000

swi-prolog (5.6.48-1) unstable; urgency=low

  * New upstream release.
  * Patch plld.c so it calls 'swipl' instead of 'pl' (Closes: #312523)
  * Rework main binary such that /usr/bin/swipl is a shell script instead
      of a symlink (Closes: #456261)
  * Delete empty directories (spotted by lintian)
  * Tidy (unfixed) Lintian "image-file-in-usr-lib" overrides.
  * Update Standards-Version: to 3.7.3.
  * Require debhelper >= 5.
  * Add debian/watch.
  * Move from XS-Vcs-* to Vcs-*.
  * Add ${misc:Depends} for all binaries.
  * Include dpatch.make instead of re-implementing patch/unpatch targets.
  * Remove RPATH from pl2xpce.so in install target (spotted by lintian)
  * Fix FTBFS on ARM.
  * Rename Vcs-Browse -> Vcs-Browser. (Thanks to Daniel Baumann)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 28 Dec 2007 18:55:24 +0000

swi-prolog (5.6.47-1) unstable; urgency=low

  * New upstream version (Closes: #295209, #308325, #425580)
  * New maintainer (Closes: #422576)
  * Bump Debhelper compatibility to 5
  * debian/rules:
     * Update config.sub and config.guess from autotools-dev
         (Closes: #408076, #414181)
     * Desist from blindly ignoring "clean" target
  * debian/control:
     * Use ${binary:Version} instead of ${Source-Version}
     * Add new Homepage: field
     * Add XS-Vcs-* fields
  * Change ".menu" sections from
       "Apps/Programming" -> "Applications/Programming"
  * Documentation:
     * Remove some SGML documentation now missing from upstream
     * Add Sicstus and SWI-Prolog v4.8 -related XPCE documentation

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sun, 02 Dec 2007 23:26:00 +0000

swi-prolog (5.6.14-1) unstable; urgency=low

  * The "OMG!" release
  * New Upstream Release (closes: #308325)
  * New Maintainer (closes: #296871)
  * Now Build from source (closes: #324053)
  * libreadline5-dev added as a buil-dependency (closes: #326293)
  * xlibs-dev dependency removed (closes: #347073)
  * .pwd file removed (closes:  #285894)

 -- Gerardo Curiel <gcuriel@debianvenezuela.org>  Sat, 10 Jun 2006 00:22:25 -0400

swi-prolog (5.2.13-1) unstable; urgency=low

  * New upstream (closes: #257254)
  * Fixed executable naming in man page (closes: #223815)
  * Added http and semweb packages

 -- Michael Piefel <piefel@debian.org>  Mon, 12 Jul 2004 14:55:07 +0200

swi-prolog (5.2.7-1) unstable; urgency=low

  * New upstream - this supposedly closes: #206428 (a build failure)
  * debian/rules clean: remove file before directory for greater effect

 -- Michael Piefel <piefel@debian.org>  Tue, 09 Sep 2003 15:36:52 +0200

swi-prolog (5.2.6-1) unstable; urgency=low

  * New upstream.
  * Install clib's files into a directory instead of on top of each other
    (closes: #206520)
  * Delay restoration of upstream config.{sub,guess} until after make step
    since configure is called during the build (closes: #206443)

 -- Michael Piefel <piefel@debian.org>  Thu, 21 Aug 2003 14:32:59 +0200

swi-prolog (5.2.5-1) unstable; urgency=low

  * New upstream version
  * Merged the source packages for swi-prolog and swi-prolog-packages together
    again. The build process upstream uses finally doesn't
    build-install-build-install anymore.
  * debian/rules: rearranged for better autotools and DEB_BUILD_OPTIONS
  * debian/rules: got rid of *.dirs.in ugliness
  * Remove make call from XPCE postinst (closes: #186468)
  * Update library index for sgml and clib (closes: #187005)

 -- Michael Piefel <piefel@debian.org>  Tue, 19 Aug 2003 15:10:19 +0200

swi-prolog (5.0.10-3) unstable; urgency=low


