=== debian/control ===
Source: swi-prolog
Section: interpreters
Priority: optional
Maintainer: Chris Lamb <chris@chris-lamb.co.uk>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, dpatch, chrpath
Standards-Version: 3.7.2
Vcs-Git: git://git.chris-lamb.co.uk/pkg-swi-prolog.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=pkg-swi-prolog.git
Homepage: http://www.swi-prolog.org

Package: swi-prolog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Prolog interpreter
 ISO/Edinburgh-style Prolog compiler.  Compliant with Part 1 of the ISO standard
 for Prolog.  Covers all traditional Edinburgh Prolog features and shares many
 features with Quintus and SICStus Prolog, including a compatible module system.
 Very fast compiler, garbage collection (also on atoms), fast and powerful C/C++
 interface, autoloading, GNU-readline interface.
 .
 SWI-Prolog has been designed and implemented such that it can easily be
 modified for experiments with logic programming and the relation
 between logic programming and other programming paradigms (such as the
 object oriented XPCE environment).  SWI-Prolog has a rich set of
 built-in predicates and reasonable performance, which makes it possible
 to develop substantial applications in it.  The current version offers
 a module system, garbage collection and an interface to the C language.

Package: swi-prolog-dev
Architecture: any
Depends: swi-prolog (= ${binary:Version}), ${shlibs:Depends}
Section: libdevel
Description: Development files for SWI Prolog
 This package contains headers files, etc. necessary for developing software
 that uses the C-interface to SWI Prolog.

Package: swi-prolog-lib-core
Architecture: any
Depends: swi-prolog (= ${binary:Version})
Section: interpreters
Description: Minimum set of SWI Prolog library of prolog predicates
 This package contains a minimal collection of prolog predicates, just enough
 to load foreign libraries.
 .

Package: swi-prolog-lib
Architecture: any
Depends: swi-prolog (= ${binary:Version}), swi-prolog-lib-core (= ${binary:Version})
Section: interpreters
Description: SWI Prolog library of prolog predicates
 This package contains a collection of commonly used prolog predicates. You
 need this is you are running non-precompiled prolog code.
 .

Package: swi-prolog-dbg
Architecture: any
Depends: swi-prolog (= ${binary:Version})
Section: libdevel
Priority: extra
Description: Debug symbols for SWI Prolog
 This package contains debug symbols for SWI Prolog.

Package: swi-prolog-doc
Architecture: all
Section: doc
Description: Documentation for SWI Prolog
 This package contains SWI-Prolog documentation (manual pages, README, etc.).
