## swi-prolog 5.6.55

=== man/Makefile ===
--- 
+++ 
@@ -39,14 +39,14 @@
 FTPDIR=		~ftp/SWI-Prolog
 BETAMAN=	~www/SWI-Prolog/BETA/Manual
 
-LIBFILES=	lib/library.tex lib/readutil.tex lib/netscape.tex \
+LIBFILES=	lib/library.tex lib/readutil.tex lib/wwwbrowser.tex \
 		lib/registry.tex lib/check.tex lib/url.tex lib/debug.tex \
 		lib/lists.tex lib/bounds.tex lib/clpqr.tex lib/gensym.tex \
 		lib/nbset.tex lib/clpdistinct.tex lib/summary.tex \
 		lib/simplex.tex lib/assoc.tex lib/prologxref.tex \
 		lib/ugraphs.tex lib/ordsets.tex lib/broadcast.tex \
 		lib/record.tex lib/clpfd.tex lib/pairs.tex lib/option.tex \
-		lib/apply.tex
+		lib/apply.tex lib/aggregate.tex
 TEXFILES=	doc.tex intro.tex overview.tex builtin.tex module.tex \
 		foreign.tex runtime.tex hack.tex summary.tex xpce.tex \
 		glossary.tex ide.tex license.tex threads.tex $(LIBFILES) \
@@ -194,6 +194,8 @@
 		$(LIBTOTEX) 'library(pairs)'
 lib/option.tex:	../library/option.pl
 		$(LIBTOTEX) 'library(option)'
+lib/aggregate.tex: ../library/aggregate.pl
+		$(LIBTOTEX) 'library(aggregate)'
 
 
 ################################################################
