=== packages/xpce/pl/src/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 
 $(OBJDIR)/so-interface.o: interface.c
 		$(CC) -DO_SHAREDLIBRARY $(CFLAGS) -c $< -o $@
-		
+
 $(OBJDIR)/Initialize.o:	
 		ar x $(XLIB)/libXt.a $@
