## swi-prolog 5.6.59

=== packages/cppproxy/examples/Makefile ===
DEMOS=	person sqrt time

check:
	./run $(DEMOS)

clean:
	rm -f $(DEMOS)
	rm -f *_proxy.h *~ core
